#!/usr/bin/awk -f

# uncertainities_astdys.awk
# Download *.eq1 files from AstDyS site to grep uncertainities.
# Miroslav Broz (miroslav.broz@email.cz), Sep 6th 2007

BEGIN{
  URL = "http://hamilton.dm.unipi.it/astdys/epoch/";
}
/^ {0,6}[0-9]+ /{	# numbered
  num = $1;
  dir = "numbered/" int(num/1000.);
  file = num ".eq1";
  cmd = "wget " URL  dir "/" file;
}
/^ {7}[0-9]{4} [A-Z]{2}[0-9]* /{	# multi-opposition
  year = $1;
  if (year<=1997) {
    dir = "unumbered/" year;
  } else {
    dir = "unumbered/" year substr($2,0,1);
  }
  dsg = $1 $2;
  file = dsg ".eq1";
}
{
  cmd = "wget " URL dir "/" file " -O eq1/" file;
  print cmd;

  eq1 = "./eq1.awk eq1/" file;
  print eq1 >"eq1.sh";
}

